Package org.springframework.security.web.server

# Interface ServerAuthenticationEntryPoint

All Known Implementing Classes:
  `DelegatingServerAuthenticationEntryPoint`, `HttpBasicServerAuthenticationEntryPoint`, `HttpStatusServerEntryPoint`, `RedirectServerAuthenticationEntryPoint`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ServerAuthenticationEntryPoint
Used to request authentication

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)`
Initiates the authentication flow

## Method Details

### commence

reactor.core.publisher.Mono<Void> commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)
Initiates the authentication flow

Parameters:
  `exchange` -
  `ex` -
Returns:
  `Mono<Void>` to indicate when the request for authentication is complete